#
# spec file for package rubygem-puppet
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-puppet
Version:        3.8.7
Release:        18.18
%define mod_name puppet
%define mod_full_name %{mod_name}-%{version}
# MANUAL
# backward compatible requirement SLE...
%{?!_initddir:%define _initddir %_initrddir}

%define _fwdefdir /etc/sysconfig/SuSEfirewall2.d/services
%define _unitdir /usr/lib/systemd
%{!?vim_data_dir:%global vim_data_dir %{_datadir}/vim/%(readlink %{_datadir}/vim/current)}

# not really required, but we don't want to own their dirs
BuildRequires: vim
BuildRequires: emacs-nox

BuildRequires: fdupes
Requires(pre): /usr/sbin/groupadd
Requires(pre): /usr/sbin/useradd
Requires(pre): %fillup_prereq
Requires:      tar
%if 0%{?suse_version} >= 1210
BuildRequires: systemd
%{?systemd_requires}
%define has_systemd 1
%endif
PreReq:        rubygem(%{mod_name})
#!BuildIgnore: rubygem(%{mod_name})
# /MANUAL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  update-alternatives
Url:            https://github.com/puppetlabs/puppet
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        puppetmaster.fw
Source2:        puppet.fw
Source3:        puppetmaster-unicorn.service
Source4:        unicorn.conf
Source5:        %{name}-rpmlintrc
Source6:        gem2rpm.yml
# MANUAL
Patch0:  %{mod_name}-zypper-lu.patch
Patch1:  %{mod_name}-systemd-default.patch
Patch2:  %{mod_name}-ruby-2_2.patch
Patch3:  %{mod_name}-systemd-default-on-new-suse.patch
Patch4:  %{mod_name}-non_ASCII_user_comment.patch
# /MANUAL
Summary:        A network tool for managing many disparate systems
License:        Apache-2.0
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
Puppet lets you centrally manage every important aspect of your system
using a cross-platform specification language that manages all the
separate elements normally aggregated in different files, like users,
cron jobs, and hosts, along with obviously discrete elements like
packages, services, and files.
%prep
%gem_unpack
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
find -type f -print0 | xargs -0 touch -r %{S:0}
%gem_build

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="LICENSE README.md" \
  -f
# MANUAL
gemdir="%{buildroot}$(gem env gemdir)/gems/%{mod_full_name}"
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_localstatedir}/lib/%{mod_name}
mkdir -p %{buildroot}%{_localstatedir}/log/%{mod_name}
mkdir -p %{buildroot}%{_fwdefdir}
mkdir -p %{buildroot}%{_unitdir}/system
install -Dm0644 $gemdir/ext/redhat/%{mod_name}.conf %{buildroot}%{_sysconfdir}/%{mod_name}/%{mod_name}.conf
for config_file in auth fileserver tagmail ; do
    install -m0644 $gemdir/conf/$config_file.conf %{buildroot}%{_sysconfdir}/%{mod_name}/$config_file.conf
done
install -m 644 %{SOURCE4} %{buildroot}%{_sysconfdir}/%{mod_name}/unicorn.conf
mkdir -p %{buildroot}%{_localstatedir}/adm/fillup-templates
cp $gemdir/ext/redhat/client.sysconfig %{buildroot}/%{_localstatedir}/adm/fillup-templates/sysconfig.puppet
cp $gemdir/ext/redhat/server.sysconfig %{buildroot}/%{_localstatedir}/adm/fillup-templates/sysconfig.puppetmaster
%if 0%{?has_systemd}
ln -sf service %{buildroot}/%{_sbindir}/rcpuppet
ln -sf service %{buildroot}/%{_sbindir}/rcpuppetmaster
ln -sf service %{buildroot}/%{_sbindir}/rcpuppetmaster-unicorn
install -m 644 $gemdir/ext/systemd/puppet.service  %{buildroot}%{_unitdir}/system/puppet.service
install -m 644 $gemdir/ext/systemd/puppetmaster.service %{buildroot}%{_unitdir}/system/puppetmaster.service
install -m 644 %{SOURCE3} %{buildroot}%{_unitdir}/system/puppetmaster-unicorn.service
%else
mkdir -p %{buildroot}%_initddir
# fix old port arg
sed -i 's/--port/--masterport/' $gemdir/ext/suse/client.init
install -m0755 $gemdir/ext/suse/client.init %{buildroot}/%_initddir/puppet
install -m0755 $gemdir/ext/suse/server.init %{buildroot}/%_initddir/puppetmaster
ln -sf %_initddir/puppet %{buildroot}/%{_sbindir}/rcpuppet
ln -sf %_initddir/puppetmaster %{buildroot}/%{_sbindir}/rcpuppetmaster
%endif

install -m 644 %{SOURCE1} %{buildroot}/%{_fwdefdir}/puppetmasterd
install -m 644 %{SOURCE2} %{buildroot}/%{_fwdefdir}/puppet

for mandirX in $(ls $gemdir/man); do
    for manpage in $(ls $gemdir/man/$mandirX); do
        install -Dm0444 $gemdir/man/$mandirX/$manpage %{buildroot}/%{_mandir}/$mandirX/$manpage
    done
done

%fdupes %{buildroot}%{_prefix}

# Install vim syntax files
install -Dp -m0644 $gemdir/ext/vim/ftdetect/%{mod_name}.vim %{buildroot}%{vim_data_dir}/ftdetect/%{mod_name}.vim
install -Dp -m0644 $gemdir/ext/vim/ftplugin/%{mod_name}.vim %{buildroot}%{vim_data_dir}/ftplugin/%{mod_name}.vim
install -Dp -m0644 $gemdir/ext/vim/indent/%{mod_name}.vim %{buildroot}%{vim_data_dir}/indent/%{mod_name}.vim
install -Dp -m0644 $gemdir/ext/vim/syntax/%{mod_name}.vim %{buildroot}%{vim_data_dir}/syntax/%{mod_name}.vim

# Install emacs mode files
emacsdir=%{buildroot}%{_datadir}/emacs/site-lisp
install -Dp -m0644 $gemdir/ext/emacs/puppet-mode.el $emacsdir/puppet-mode.el
install -Dp -m0644 $gemdir/ext/emacs/puppet-mode-init.el $emacsdir/site-start.d/puppet-mode-init.el

# Remove those dirs as they cause strange runtime dependencies
for gem in $(/usr/bin/ruby-find-versioned gem) ; do
    gemdir="%{buildroot}$($gem env gemdir)/gems/%{mod_full_name}"
    rm -rf $gemdir/ext/{debian,gentoo}
done
# /MANUAL


%files
%defattr(-,root,root,-)
%attr(0750,%{mod_name},%{mod_name}) %dir %{_localstatedir}/lib/%{mod_name}
%attr(0750,%{mod_name},%{mod_name}) %dir %{_localstatedir}/log/%{mod_name}
%dir %{_sysconfdir}/%{mod_name}
%config(noreplace) %{_sysconfdir}/%{mod_name}/%{mod_name}.conf
%config(noreplace) %{_fwdefdir}/%{mod_name}
%{_mandir}/man?/*
%{_sbindir}/rcpuppet
%if 0%{?has_systemd}
%{_unitdir}/system/%{mod_name}.service
%else
%_initddir/%{mod_name}
%endif
%{_localstatedir}/adm/fillup-templates/sysconfig.puppet

%pre
getent group puppet >/dev/null || /usr/sbin/groupadd -r puppet
getent passwd puppet >/dev/null || /usr/sbin/useradd -r -g puppet -d /var/lib/puppet -s /bin/false -c "Puppet daemon" puppet
%if 0%{?has_systemd}
%service_add_pre puppet.service
%endif

%preun
%if 0%{?has_systemd}
%service_del_preun puppet.service
%else
%stop_on_removal %{name}
%endif

%postun
%if 0%{?has_systemd}
%service_del_postun puppet.service
%else
%insserv_cleanup
%endif

%post
%fillup_only -n puppetmaster
%if 0%{?has_systemd}
%service_add_post puppet.service
%endif

%package master
Summary:   A network tool for managing many disparate systems
Group:     Productivity/Networking/System
PreReq:    rubygem(%{mod_name})
Obsoletes: puppet-server <= 3.7.3
Provides:  puppet-master = %{version}-%{release}
Provides:  puppetmaster = %{version}-%{release}
%if 0%{?has_systemd}
%{?systemd_requires}
%endif

# Requires:      rubygem-puppet = 3.8.7
%description master
Puppet lets you centrally manage every important aspect of your system
using a cross-platform specification language that manages all the
separate elements normally aggregated in different files, like users,
cron jobs, and hosts, along with obviously discrete elements like
packages, services, and files.

%files master
%defattr(-,root,root,-)
%{_sbindir}/rcpuppetmaster
%config(noreplace) %{_fwdefdir}/puppetmasterd
%config(noreplace) %{_sysconfdir}/%{mod_name}/auth.conf
%config(noreplace) %{_sysconfdir}/%{mod_name}/fileserver.conf
%config(noreplace) %{_sysconfdir}/%{mod_name}/tagmail.conf
%if 0%{?has_systemd}
%{_unitdir}/system/puppetmaster.service
%else
%_initddir/puppetmaster
%endif
%{_localstatedir}/adm/fillup-templates/sysconfig.puppetmaster

%pretrans master
if [ -x /usr/bin/puppet ] && [ "`/usr/bin/puppet --version | grep '^3.3.1'`" ]; then
    echo old > /run/puppet_migrate
fi

%pre master
getent group puppet >/dev/null || /usr/sbin/groupadd -r puppet
getent passwd puppet >/dev/null || /usr/sbin/useradd -r -g puppet -d /var/lib/puppet -s /bin/false -c "Puppet daemon" puppet

%if 0%{?has_systemd}
%service_add_pre puppetmaster.service
%endif

%preun master
%if 0%{?has_systemd}
%service_del_preun puppetmaster.service
%else
%stop_on_removal %{name}
%endif

%postun master
%if 0%{?has_systemd}
%service_del_postun puppetmaster.service
%else
%insserv_cleanup
%endif

%post master
# Compatibility with old setups
%fillup_only
%if 0%{?has_systemd}
%service_add_post puppetmaster.service
%endif

if [ -f /run/puppet_migrate ]; then
cat > %{_localstatedir}/adm/update-messages/%{name}-%{version}-%{release} << EOF
Warning: If you used puppet on openSUSE/SLE before be aware, that service is now
Warning: called puppemaster instead of puppetmasterd. This was done to comply
Warning: with upstream naming of the service and hopefully with everybody else
EOF
rm -f /run/puppet_migrate
fi


%package master-unicorn
Summary:   Unicorn files for puppetmaster
Group:     Productivity/Networking/System
Requires:  rubygem-puppet-master = %{version}
Requires:  rubygem(unicorn)
BuildArch: noarch
%if 0%{?has_systemd} > 1210
%{?systemd_requires}
%endif

# Requires:      rubygem-puppet = 3.8.7
%description master-unicorn
Unicorn config and systemd files for puppetmaster

%files master-unicorn
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/%{mod_name}/unicorn.conf
%if 0%{?has_systemd}
%{_sbindir}/rcpuppetmaster-unicorn
%{_unitdir}/system/puppetmaster-unicorn.service
%endif

%pre master-unicorn
%if 0%{?has_systemd}
%service_add_pre puppetmaster-unicorn.service
%endif

%preun master-unicorn
%if 0%{?has_systemd}
%service_del_preun puppetmaster-unicorn.service
%endif

%postun master-unicorn
%if 0%{?has_systemd}
%service_del_postun puppetmaster-unicorn.service
%endif

%post master-unicorn
%if 0%{?has_systemd}
%service_add_post puppetmaster-unicorn.service
%endif


%package vim
Summary:     Vim syntax files for Puppet manifests
Group:       Productivity/Text/Editors
Requires:    vim
%if 0%{?suse_version} > 1110
BuildArch:   noarch
%endif
Supplements: packageand(vim:%{name})
Provides:    puppet-vim = %{version}-%{release}
Obsoletes:   puppet-vim < %{version}-%{release}

# Requires:      rubygem-puppet = 3.8.7
%description vim
Vim ftdetect and syntax files for Puppet manifests

%files vim
%defattr(-,root,root,-)
%dir %{vim_data_dir}/ftdetect
%{vim_data_dir}/ftdetect/%{mod_name}.vim
%{vim_data_dir}/ftplugin/%{mod_name}.vim
%{vim_data_dir}/indent/%{mod_name}.vim
%{vim_data_dir}/syntax/%{mod_name}.vim


%package emacs
Summary:     Emacs syntax files for Puppet
Group:       Productivity/Text/Editors
Requires:    emacs
%if 0%{?suse_version} > 1110
BuildArch:   noarch
%endif
Supplements: packageand(emacs:%{name})
Provides:    puppet-emacs = %{version}-%{release}

# Requires:      rubygem-puppet = 3.8.7
%description emacs
Emacs syntax files for Puppet manifests

%files emacs
%defattr(-,root,root,-)
# emacs-mode files
%if 0%{?suse_version} <= 1230
%dir %{_datadir}/emacs/site-lisp/site-start.d
%endif
%{_datadir}/emacs/site-lisp/puppet-mode.el
%{_datadir}/emacs/site-lisp/site-start.d/puppet-mode-init.el


%gem_packages

%changelog
* Tue Aug 16 2016 tampakrap@opensuse.org
- set the perms of the unicorn.conf to 644
* Wed Aug  3 2016 tampakrap@opensuse.org
- Replace the greps with fillup-template to update the sysconfig files.
  Fixes properly boo#916005
* Fri Jul 29 2016 jengelh@inai.de
- Run fdupes over practically everything that was installed,
  fixing "files-duplicate /usr/lib64/ruby/gems/2.2.0/doc/
  /puppet-3.8.7/ri/Puppet/Pops/Types/TypeFactory/any-c.ri" etc.
* Mon Jul 25 2016 tampakrap@opensuse.org
- Update to 3.8.7:
  https://docs.puppetlabs.com/puppet/3.8/reference/release_notes.html#puppet-386
  https://docs.puppetlabs.com/puppet/3.8/reference/release_notes.html#puppet-387
- Add -master-unicorn subpackage with unicorn systemd unit file and config
* Mon Apr 11 2016 kstreitova@suse.com
- add puppet-non_ASCII_user_comment.patch to fix non-ASCII
  user comment with ruby >= 2.1 [bnc#971223]
* Fri Jan 22 2016 kstreitova@suse.com
- Update to 3.8.5
  https://docs.puppetlabs.com/puppet/3.8/reference/release_notes.html#puppet-385
* Wed Dec  2 2015 tampakrap@opensuse.org
- Do not touch /etc/sysconfig/puppet in systemd environments, boo#916005
* Fri Nov 20 2015 tampakrap@opensuse.org
- Update to 3.8.4
  https://docs.puppetlabs.com/puppet/3.8/reference/release_notes.html#puppet-383
  https://docs.puppetlabs.com/puppet/3.8/reference/release_notes.html#puppet-384
* Thu Sep  3 2015 robert.munteanu@gmail.com
- Update to 3.8.2
  * https://docs.puppetlabs.com/puppet/3.8/reference/release_notes.html#puppet-382
  * https://docs.puppetlabs.com/puppet/3.8/reference/release_notes.html#puppet-381
  * https://docs.puppetlabs.com/puppet/3.8/reference/release_notes.html#puppet-380
* Wed Sep  2 2015 robert.munteanu@gmail.com
- Added puppet-systemd-default-on-new-suse.patch, rebased from the
  master branch, that uses the systemd provider on a SuSE variants
  with version >= 12 ( boo#931703 )
* Thu May 28 2015 dgutu@suse.com
- Updated the change file
* Thu May 14 2015 tampakrap@opensuse.org
- Add puppet-ruby-2_2.patch that fixes the ruby 2.2 support
* Tue May 12 2015 tampakrap@opensuse.org
- Re-run g2r
- Fix the systemd patch to actually apply
- Remove the ext/{debian,gentoo} dirs for all ruby versions
* Mon May 11 2015 tampakrap@opensuse.org
- Update to 3.7.5
  * https://docs.puppetlabs.com/puppet/3.7/reference/release_notes.html#puppet-374
  * https://docs.puppetlabs.com/puppet/3.7/reference/release_notes.html#puppet-375
- Add upstream patch puppet-zypper-lu.patch to cache the output of zypper list-updates
  https://tickets.puppetlabs.com/browse/PUP-3968
- Add upstream patch puppet-systemd-default.patch to make systemd default on SLE12 and openSUSE >12.x
  https://tickets.puppetlabs.com/browse/PUP-3338
- Add runtime dependency on tar, needed by the "puppet module" command to
  unpack tarballs that it fetches from the forge
* Wed Jan 21 2015 tampakrap@opensuse.org
- Replace rubygem(augeas) with rubygem(ruby-augeas), since the former is not working with puppet, boo#911083
* Thu Dec 11 2014 tampakrap@opensuse.org
- Install the master-related sample config files with puppetmaster package
* Tue Dec  2 2014 tampakrap@opensuse.org
- Switch installation from tarball to gem, using the new packaging schema
- Rename puppet to rubygem-puppet for the above reason
- Rename puppet-server to puppet-master / puppetmaster, since PuppetLabs has a
  new product out that is called Puppet Server
- Install more sample config files (auth.conf, fileserver.conf, tagmail.conf)
- Add rubygem(ruby-shadow) and rubygem(augeas) as Recommends
- Separate emacs syntax files to different subpkg
* Sat Nov  8 2014 darin@darins.net
- update to 3.7.3
  * PUP-3601: Bump facter dependency to 2.3.0
  * PUP-3471: Windows Puppet x86 Installer Expands Environment Variables in Path
  * PUP-3302: Puppet resource broken when directory environments enabled
  * PUP-3500: Adding a setting to puppet.conf that has a :hook handled on define preloads incorrect directory environment settings.
  * PUP-3505: Future parser handling undef’s incorrectly
  * PUP-3514: Future parser not showing line/column for error
  * PUP-3558: Future parser, square brackets in references cause syntax errors related to non-ASCII characters
  * PUP-3602: Do not convert strings that are on the form “0e" to floating point
  * PUP-3555: introduce override-able factory pattern for constructing environment cache entries
  See release notes for update information:
    https://docs.puppetlabs.com/puppet/3.7/reference/release_notes.html
  For a full list of bugs fixes see:
    https://tickets.puppetlabs.com/secure/ReleaseNote.jspa?projectId=10102&version=12001
- remove old .changelog
- fix invalid arg in init script for SLE
* Tue Oct 28 2014 boris@steki.net
- updated buildrequires to use rubygem(xxx) syntax as that is correct syntax
* Thu Oct 23 2014 darin@darins.net
- Update to 3.7.2
  * PUP-3467: Reject SSLv3 connections in Puppet
  * PUP-3345: Puppet Master Memory Leak
  * PUP-643: Solaris pkg package provider does not handle expiring
    certificates
  * PUP-1165: Spurious ‘trigger changed’ messages generated by scheduled
    task provider
  * PUP-3203: scheduled_task triggers cannot be updated
  * PUP-3357: Unexpected error with multiple SSH keys without comments
  * PUP-3351: Puppet evaluates classes declared with parameters before
    classes declared without parameters
  * PUP-3258: puppet apply + ENC + 3.7.x: does not read the .pp file
  * PUP-3244: ENC returned environment ignored when using directory environments
  * PUP-3334: Changes to environment.conf are not being picked up, even
    when environment timeout is set to 0.
  * PUP-3363: future parser give weird error in trailing comma after assignment
  * PUP-3366: type system does not handle Enum/String compare correctly
  * PUP-3401: Type system does not handle Pattern correctly
  * PUP-3365: consider not doing deep undef to empty string map in 3xi
    function API
  * PUP-3364: Attempt to use Numeric as title in a Resource type causes
    internal error
  * PUP-3201: Validation thinks that an Undef instance is of type Runtime
  * PUP-3315: Windows agent installer should specify that FQDN is expected
  * PUP-3227: Upgrade conflict: puppetmaster-common and puppet-common
  See release notes for update information:
    https://docs.puppetlabs.com/puppet/3.7/reference/release_notes.html
  For a full list of bugs fixes see:
    https://tickets.puppetlabs.com/secure/ReleaseNote.jspa?projectId=10102&version=11925
* Sat Sep 27 2014 tbechtold@suse.com
- Also create user/group when only installing the puppet client
* Wed Sep 24 2014 darin@darins.net
- Updated systemd coding style
* Thu Sep 18 2014 darin@darins.net
- Fix packaging for SLE_11
* Tue Sep 16 2014 darin@darins.net
- Update to 3.7.1
  * PUP-3222: Windows service provider references a non-existent class
  * PUP-3190: “each” no longer supported in Puppet 3.7.0
  * PUP-3191: Symlinks to missing targets cause a File Not Found error
    instead of a warning
  * PUP-3231: Specifying –tags doesn’t cause suitability check to be
    skipped for skipped resources
  * PUP-894: Too easy to hit “CRL not yet valid for <host>”
    (and not very informative)
  * PUP-1680: “incorrect header check” using Ruby 2
  * PUP-3177: Resource titles ending with square brackets fail
  * PUP-3174: After enabling directory environments the manifestdir
    setting is still required to be valid
  * PUP-3162: Block $environment in directory based environment
    configuration settings
  * PUP-3186: Puppetmaster removes /etc/puppet/environments/production
    if it’s a link rather than a directory
  See release notes for update information:
    https://docs.puppetlabs.com/puppet/3.7/reference/release_notes.html
  For a full list of bugs fixes see:
    https://tickets.puppetlabs.com/secure/ReleaseNote.jspa?projectId=10102&version=11854
* Fri Sep  5 2014 darin@darins.net
- Update to 3.7.0
  * A nearly-final implementation of the Puppet 4 language
  * Preview support for a new, fast, natively compiled Facter
  * 64-bit Puppet packages for Windows
  * Lots of deprecations to prepare for Puppet 4.0
  See release notes for update information:
    https://docs.puppetlabs.com/puppet/3.7/reference/release_notes.html
  For a full list of bugs fixes see:
    https://tickets.puppetlabs.com/issues/?filter=12643
* Sun Aug  3 2014 tampakrap@opensuse.org
- Add Supplements: packageand(vim,puppet), in order to trigger automatic
  installation for users of both packages. Suggested by dimstar
* Sat Jul 26 2014 tampakrap@opensuse.org
- Split the vim syntax files to separate subpackage, puppet-vim
* Wed Jun 11 2014 darin@darins.net
- Update to 3.6.2
  Security Fixes
  * CVE-2014-3248
    (Arbitrary Code Execution with Required Social Engineering)
  * CVE-2014-3253
    (Apache 2.4+ does not enforce CRL checks by default)
  * [PUP-2635] - user purge_ssh_keys not purged
  * [PUP-2639] - Increase environment_timeout default.
  * [PUP-2650] - 3.6.1 issues "warning" message for deprecation
  * [PUP-2659] - Puppet stops working with error 'Attempted to pop,
    but already at root of the context stack.'
  * [PUP-2660] - purging ssh_authorized_key fails because of missing user value
  * [PUP-2689] - A node can't always collect its own exported resources
  * [PUP-2692] - Puppet master passenger processes keep growing
  * [PUP-2705] - Regression with external facts pluginsync not preserving
    executable bit
* Tue May 27 2014 boris@steki.net
- Puppet 3.6.1 is a bug fix release in the Puppet 3.6 series.
  It also makes the transaction_uuid more reliably available to extensions.
* Wed May 21 2014 darin@darins.net
- Update to 3.6.0
  Bug Fixes
  * [PUP-530] - Installer for Puppet 3 does not check for hiera
  * [PUP-748] - PR (2067): Zypper provider install options - darix
  * [PUP-1041] - PR (2385) naginator not parsing blank parameters
  * [PUP-1114] - Deprecate environment configuration in puppet.conf
  * [PUP-1332] - "puppet resource service" fails on Ubuntu
  * [PUP-1547] - PR (2311) Undefined method `groups' for nil:NilClass
  * [PUP-1552] - V2.0 API reports Not Authorized as a "RUNTIME_ERROR"
  * [PUP-1585] - PR (2342) cron resources with target specified generate
    duplicate entries
  * [PUP-1586] - PR (2331) Cron Type sanity check for the command parameter
    is broken
  * [PUP-1624] - PR (2342) Cron handles crontab's equality of target
    and user strangely
  * [PUP-1749] - Puppet module tool does not work on Solaris
  * [PUP-1751] - PR (2383): Suse chkconfig --check boot.<service> always
    returns 1 whether the service is enabled/disabled. - m4ce
  Improvement
  * [PUP-485] - Add assert_type functions for type checks
  * [PUP-620] - (PR 2429) Add install_options to gem provider
  * [PUP-740] - Validator
  * [PUP-1174] - PR (2247) Ability to purge .ssh/authorized_keys
  * [PUP-1596] - Make modulepath, manifest, and config_version configurable
    per-environment
  * [PUP-1699] - Cache environments
  * [PUP-1769] - PR (2414) yum provider to support install_options
  * [PUP-1799] - New Function API
  For a full list of fixes and improvemtnts see:
  https://tickets.puppetlabs.com/secure/ReleaseNote.jspa?projectId=10102&version=11200
- removed puppet-3.3.1-systemd-units.patch
* Wed May 21 2014 darin@darins.net
- Set proper ownership permission on /var/{lib,log}/puppet
  directories.
* Fri Apr 25 2014 vdziewiecki@suse.com
-Version update: 3.5.1 is a backward-compatible features and fixes release in the Puppet 3 series. It fixes the problems that 3.5.0 caused with dynamic environments and the yumrepo provider, as well as a couple of smaller bugs.
* Thu Apr 10 2014 mhrusecky@suse.cz
- display update message about systemd service rename only when relevant
* Wed Apr  9 2014 mhrusecky@suse.cz
- update to puppet 3.5.0, see
  * http://docs.puppetlabs.com/puppet/3/reference/release_notes.html
  * http://docs.puppetlabs.com/puppet/latest/reference/release_notes.html
- replaced puppet-3.3.1-systemd-units.patch with puppet-3.5.0-systemd-units.patch
  * adopted to the latest version
- drooped puppet-2.6.6-yumconf.diff
  * doesn't apply anymore and upstream reworked yum module quite extensively
  * AFAIK we don't use yum anywhere
- require facter > 1.6.0 as upstream does
* Mon Apr  7 2014 mhrusecky@suse.cz
- finish migration to systemd
- drop puppet-3.0.2-client-init-masterport.patch as there is no init
  script anymore
- drop useless sysconfig files and provide compatibility %%post scripts
- puppet user is needed only for server
- use upstream service names (and warn users)
- little bit polished upstream unit files
  * added puppet-3.3.1-systemd-units.patch
  * https://github.com/puppetlabs/puppet/pull/2510
* Thu Jan  2 2014 ben.kevan@gmail.com
- removed patch puppet-3.0.2-init.patch, and replaced with
  puppet-3.0.2-client-init-masterport.patch because the original
  caused shutdown of puppet client on a puppetmaster to shutdown
  the puppet master.
* Thu Oct 24 2013 mrueckert@suse.de
- refreshed puppet-2.6.6-yumconf.diff to make it apply cleanly
* Thu Oct 24 2013 mrueckert@suse.de
- add puppetx to filelist
* Thu Oct 24 2013 mrueckert@suse.de
- update to 3.3.1
  for details see /usr/share/doc/packages/puppet/ChangeLog
* Tue Sep 10 2013 darin@darins.net
- more specificity in packaging the extensions
* Fri Sep  6 2013 darin@darins.net
- Install puppet extension data from ext/
  - vim syntax and emacs-mode
  - openldap schema
  - rack config.ru and apache2.conf examples
* Mon Sep  2 2013 boris@steki.net
- update to upstream version 3.2.4
- Security update to 3.2.x series
  - CVE-2013-4761 (resource_type Remote Code Execution Vulnerability)
  - CVE-2013-4956 (Puppet Module Permissions Vulnerability)
* Sun Aug  4 2013 boris@steki.net
- update to upstream version 3.2.3
- Bugfix and performance release for Puppet 3.2 series
  - Bring back helpful error messages like prior to Puppet 3
  - tagmail triggers in –onetime mode without changes after
    upgrade from 3.1.1 to 3.2.1
  - Logging behaviour issues in 3.2.1
    This was a regression in 3.2.0/3.2.1
* Thu Jun 20 2013 boris@steki.net
- update to upstream version 3.2.2
- Fix for CVE-2013-3567, see bnc#825878
- 3.2.2 is a security fix release of the Puppet 3.2 series.
  It has no other bug fixes or new features.
- 3.2.0 (Not released version)
  - Experimental "Future" Parser With Iteration
  - Ruby 2.0 Support
  - OpenWRT OS Support
  - External CA Support
  - Better Profiling and Debugging of Slow Catalog Compilations
  - Splay Fixes for Puppet Agent
  - Cron Fixes
  - Module Tool Improvements
  - Hiera-Related Fixes
  - puppet:/// URIs Pointing to Symlinks Work Now
  - Puppet Apply Writes Data Files Now
* Wed Mar 20 2013 vdziewiecki@suse.com
-Update to 3.1.1
-This fixes a lot of CVEs, see bnc#809839
* Thu Mar 14 2013 schuetzm@gmx.net
- The puppet agent unit file needs to take into account the settings
  from /etc/sysconfig/puppet.
* Mon Feb 25 2013 mlin@suse.com
- Install puppet*.service accordingly (/usr/lib/systemd for 12.3
  and up or /lib/systemd for older versions).
* Sat Feb 16 2013 aboe76@gmail.com
- Updated to Puppet 3.1.0 which is a feature release for the 3.x series of Puppet:
  * Improvements When Loading Ruby Code
  * YARD API Documentation
  * YAML Node Cache Restored on Master
  Other bugfixes and improvements:
  * The Solaris package manager now supports the `holdable` feature (aka
  "freezing") (#16120)
  * `managehome => true` now works on Oracle Enterprise Linux 6 (#18298)
  * `create_resources` can now create virtual and exported resources (#15081)
  * SRV record improvements for fileserving and certificate service
  (#18161, #18162)
* Fri Jan 18 2013 vdziewiecki@suse.com
- Modify puppet-3.0.2-init.patch: Don't use lock file and pid file
  at all - bnc#714649
- Do not use puppet-3.0.1-arg-err.patch and puppet-3.0.1-init.diff,
  since they have been upstreamed already.
* Fri Jan 11 2013 aeszter@gwdg.de
- Add puppet-3.0.2-init.patch: fix lock file and pid file names
* Sat Jan  5 2013 boris@steki.net
- Updated to latest upstream version 3.0.2
- Bugfix release
  * Full list of bugs can be found at:
  https://projects.puppetlabs.com/versions/337
  Notable bugs:
- Bug #15513: Resource type 'cron' fails with 'target' parameter
- Bug #16178: Boolean false in a variable causes the puppet backend lookup to fail
- Bug #17445: Race condition in logrotate config makes puppet agent crash.
- Bug #17447: Puppet sysv init script faulty
- Bug #17488: Puppet needlessly crashes when run unptivileged even with --noop
* Fri Dec  7 2012 aeszter@gwdg.de
- Add puppet-3.0.1-arg-err.patch: fix
  http://projects.puppetlabs.com/issues/10963
* Wed Nov 21 2012 aeszter@gwdg.de
- do not use /var/lock/subsys for puppetmaster
* Mon Nov 12 2012 boris@steki.net
- revert back from ruby-shadow to rubygem-ruby-shadow as required
  by openSUSE ruby packaging policies
* Wed Oct 31 2012 boris@steki.net
- changed requirement of package back from rubygem-ruby-shadow to
  more common named ruby-shadow
* Wed Oct 24 2012 aboe76@gmail.com
- Updated requirements for package puppet to include rubygem-ruby-shadow
  This is needed to make puppet modules to change passwd file
* Tue Oct 23 2012 aboe76@gmail.com
- Updated to 3.0.1
- Updated puppet-3.0.1-init.diff so it functions with client.init from ext/suse/client.init
- Fixed puppet.conf not in /ext/suse/ so got puppet.conf from
  ext/redhat/puppet.conf
  http://projects.puppetlabs.com/projects/1/wiki/Release_Notes#3.0.1
  - Bug #15717: puppet kick returns "Error: Could not find indirection 'run' / testip.example.com finished with exit code 2"
  - Bug #16585: Remove dead "ldapnodes" setting
  - Bug #16698: external node classifier script is not being called when storedconfigs is on
  - bug #16757: user cannot control loading of rubygems
  - Bug #16769: Apache "SSLOptions +ExportCertData" causes "header too long" error
  - Bug #16801: Puppet 3 debian init script has code using removed --servertype=mongrel option
  - Bug #16922: Could not intern from b64_zlib_yaml when fact value ends with a colon
  - Bug #17000: Puppet acceptance suite will get caught in a loop if agent fails to terminate for kick test
  - Refactor #16643: sample-module has hyphen in name which is only unofficially supported
* Wed Aug 29 2012 jatan@suse.de
- Update to 2.7.19
  http://projects.puppetlabs.com/projects/1/wiki/Release_Notes#2.7.19
* Wed Jul 11 2012 vdziewiecki@suse.com
-Update to 2.7.18
  CVEs fixed:
-bnc#770828 - VUL-0: CVE-2012-3864: puppet: authenticated clients can read arbitrary files via a flaw in puppet master
-bnc#770829 - VUL-0: CVE-2012-3865: puppet: arbitrary file delete / Denial of Service on Puppet Master by authenticated clients
-bnc#770827 - VUL-1: CVE-2012-3866: puppet: last_run_report.yaml left world-readable
-bnc#770833 - VUL-1: CVE-2012-3867: puppet: insufficient input validation for agent certificate names
* Tue Jul  3 2012 jatan@suse.de
- update to 2.7.17
  * (maint) Add symlink stub to gentoo service provider spec
  * Add comment to upstart provider explaining exclusion of
    'wait-for-state'
  * Upstart code cleanup, init provider improvement
  * Add spec test for network-interface-security
  * Add basic service resource test to upstart acceptance
  * Handle network-interface-security in upstart
  * Add exclude list to upstart provider
  * (#15027, #15028, #15029) Fix upstart version parsing
  * (maint) Add --test to puppet run
* Tue Jul  3 2012 jatan@suse.de
- Copy from devel:openSUSE:Factory
* Tue Jun 19 2012 boris@steki.net
- update to upstream 2.7.16 version
  * Significantly improve compilation performance when using modules
  * Add Puppet::Util::Platform to abstract platform checks
  * Default autoflushing of log files to true
  * Add Module Tool
  * bugfix releases for all bugs please read
    /usr/share/doc/packages/puppet/CHANGELOG
* Thu Jun 14 2012 boris@steki.net
- updated to new upstream 2.7.11 version
  * for bugfixes informations please look in
  /usr/share/doc/packages/puppet/CHANGELOG
* Wed Jun 13 2012 coolo@suse.com
- no need for vendor-specific
* Tue Oct 25 2011 vcizek@suse.com
- update to 2.7.6
  Security Fixes
    CVE-2011-3872 (AltNames vulnerability)
  Features and Enhancements
    User/group management on Windows
    Better file support on Windows
    Support plaintext password in Windows
  Bug Fixes
    Recognize more duplicate resources
    Allow multi-line exec resources
    Remove unnecessary deprecation warning in puppet resource
    Update pluginsync to only load ruby files.
* Thu Sep 29 2011 vcizek@suse.com
- update to 2.7.4
  - enhancement + security release:
    fixed CVE-2011-3848
    (Resist directory traversal attacks through indirections)
    GigabitEthernet/TenGigabitEthernet are uncorrectly parsed
    Don’t rely on error message to detect UAC capable platform
    Allow cron vars to have leading whitespace
* Thu Jun 23 2011 vcizek@novell.com
- update to 2.7.1
  - a major feature release:
    Ruby 1.9 Support
    Deterministic Catalog Application
    Puppet Faces - a new API for creating new Puppet subcommands
    Manage Network Devices
    Dependency cycle reporting produces graph of the cycle
- license changed to Apache-2.0
  - see http://docs.puppetlabs.com/guides/faq#change-to-apache-license
* Thu May 19 2011 vcizek@novell.com
- using correct port for puppet in the firewall rules (bnc#694825)
* Tue Apr  5 2011 vcizek@novell.com
- fix logging setting (bnc#683441)
* Mon Mar 14 2011 vcizek@novell.com
- update to 2.6.6
  * fixed many bugs
  * licence has changed to GPLv2 (was GPLv2+)
  * some of the new features:
  - Manifests can now specify arbitrary data for file contents
  - Managed resource attributes can now be audited
  - Parameterised class support in external node classifiers
  - New puppet inspect application
* Fri Jan 28 2011 vcizek@novell.com
- update to 2.6.4
  * bugfixes: bnc#667867
  Ship auth.conf as part of installing from source
* Tue Oct  5 2010 anicka@suse.cz
- update to 2.6.1
  * bugfixes, manpage fixes
* Thu Aug 19 2010 anicka@suse.cz
- update to 2.6.0
  * major release with many new configuration options and new
  language features
* Mon Aug 16 2010 anicka@suse.cz
- respect sysconfig settings (bnc#620808)
* Tue Jul 20 2010 anicka@suse.cz
- create puppet user not only for server package (bnc#623884)
* Tue Mar  2 2010 anicka@suse.cz
- update to 0.25.4
  * bugfixes
- create user puppet (fixes bnc#576453)
* Wed Apr 15 2009 mantel@suse.de
- update to 0.24.8
* Mon Apr  6 2009 mantel@suse.de
- add zypper.rb plugin by Leo Eraly
* Mon Feb  9 2009 anicka@suse.cz
- update to 2.4.7
  * Deprecate the NetInfo nameservice provider. Use directoryservice
  instead
  * Add macauthorization type
  * Refactoring the thread-safety in Puppet::Util
  * Removing the included testing gems; you must now install them
  yourself
  * Refactoring of SELinux functions to use native Ruby SELinux
  interface
  * Removing all mention of EPM, RPM, or Sun packages.
  * Replaced SELInux calls to binaries with Ruby SELinux bindings
  * Adding support to the user type for: profiles, auths, project,
  key/value pairs (extension to Solaris RBAC support added in
  0.24.6)
  * Added a number of confines to package providers
  * lots of bugfixes
- add sysconfig, firewall definitions, package
  init scripts (bnc#465778)
* Tue Sep  9 2008 anicka@suse.cz
- update to 0.24.5
  * You can now select the encoding format when transferring
  the catalog, with 'yaml' still being the default but 'marshal'
  being an option.
  * Removed support for the 'node_name' setting in LDAP and external
    node lookups.
  * Also removed support for 'default' nodes in external nodes.
  * Exporting or collecting resources no longer raises an exception
  when no storeconfigs is enabled, it just produces a warning.
  * Always using the cert name to store yaml files
  * Added support for the --all option to puppetca --clean.  If
  puppetca --clean --all is issued then all client certificates
  are removed.
  * Resources now return the 'should' value for properties from
  the [] accessor method (they previously threw an exception when
  this method was used with properties).
  * Modified the 'master' handler to use the Catalog class to
  compile node configurations, rather than using the Configuration
  handler, which was never used directly.
  * Modified the 'master' handler (responsible for sending
  configurations to clients) to always return Time.now as its
  compile date, so configurations will always get recompiled.
  * Saving new facts now expires any cached node information.
  * Switching how caching is handled, so that objects now all
  have an expiration date associated with them.  This makes it
  much easier to know whether a given cached object should be used
  or if it should be regenerated.
  * Changing the default environment to production.
- fix installation script (man8 permissions)
* Mon Sep  1 2008 anicka@suse.cz
- package created (version 0.24.4)
